Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046003
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-03-04 14:042021-03-25 08:07
ReporterAgatheBertinView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046003: Analysis of Terminal Log dates - Date and Update

DescriptionWhen analyzing Terminal Log we found a thing that makes more difficult to analyze :
the dates in Terminal Log since we have:
Timestamp: which is the date in some numeric format
Date: which is the same date/time I guess that the Timestamp
Updated = Creation Date


It would be VERY useful that Updated is equal to now() when record is created, since it would tell us at which exact time the Terminal Log reached the server, and it would be easier to understand if there was at some point an offline operation, or something that made the Terminal Log info upload later to the server.
Steps To Reproduce- do an action on WebPOS with offline mode
- switch to online mode and go to the terminal log to see the dates
- Date and updated are the same, even if the offline mode information came later.
Proposed SolutionIt would be VERY useful that Updated is equal to now() when record is created
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126710)
rafaroda (developer)
2021-03-15 16:53

This has been raised in Priority to check the problems of terminal log info which is not property uploaded
(0126890)
hgbot (developer)
2021-03-24 15:41

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/198 [^]
(0126911)
hgbot (developer)
2021-03-25 08:06

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 72cc6a02823ffe05c14c7498e0113ec4751ad0c2
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-03-25T07:06:16+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/72cc6a02823ffe05c14c7498e0113ec4751ad0c2 [^]

Fix BUG-46003: Updated value is equal to now() when record is created

---
M src/org/openbravo/mobile/core/TerminalLogLoader.java
---
(0126912)
hgbot (developer)
2021-03-25 08:06

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/198 [^]

- Issue History
Date Modified Username Field Change
2021-03-04 14:04 AgatheBertin New Issue
2021-03-04 14:04 AgatheBertin Assigned To => Retail
2021-03-04 14:04 AgatheBertin Triggers an Emergency Pack => No
2021-03-04 14:04 AgatheBertin Tag Attached: NOR
2021-03-05 10:46 rafaroda Issue Monitored: rafaroda
2021-03-15 16:53 rafaroda Note Added: 0126710
2021-03-15 16:53 rafaroda Priority normal => high
2021-03-15 16:53 rafaroda Severity minor => major
2021-03-18 19:46 rqueralta Assigned To Retail => rqueralta
2021-03-24 15:41 hgbot Note Added: 0126890
2021-03-25 08:06 hgbot Note Added: 0126911
2021-03-25 08:06 hgbot Note Added: 0126912
2021-03-25 08:07 marvintm Status new => scheduled
2021-03-25 08:07 marvintm Status scheduled => resolved
2021-03-25 08:07 marvintm Fixed in Version => RR21Q2
2021-03-25 08:07 marvintm Resolution open => fixed
2021-03-25 08:07 marvintm Review Assigned To => marvintm
2021-03-25 08:07 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker